div.auth-page {
  background-color: rgba(0, 0, 0, 0.3);
  position: fixed;
  z-index: 1030;
  top: 40px;
  bottom: 0;
  right: 0;
  left: 0;
  display: none;
}

div.auth-page .img-close{
  position: absolute;
  top: 12px;
  right: 12px;
}
div.sign-up-page .img-close {
  position: absolute;
  right: 12px;
}
div.auth-page .img-close img {
  width: 35px;
  height: auto;
  cursor: pointer;
}
div.sign-up-page .img-close img {
  width: 28px;
  height: auto;
  cursor: pointer;
}
div.auth-page .auth-content {
  height: 100%;
  position: relative;
  overflow: auto;
}

div.auth-page .page {
  float: right;
  width: 100%;
  min-height: 400px;
  background-color: black;
  height: 400px;
  padding: 30px;
  position: relative;
}

div.auth-page span::after, div.auth-page span::before, div.forgot-password-page span::after, div.forgot-password-page span::before {
  background-color: white;
}

div.auth-page label, div.forgot-password-page label {
  color: white;
  font-weight: normal;
}

div.auth-page span::after, div.auth-page span::before, div.sign-up-page span::after, div.sign-up-page span::before {
  background-color: white;
}

div.auth-page label, div.sign-up-page label {
  font-weight: normal;
}

div.auth-page .hello {
  font-size: 3.5rem;
  margin-left: -5px;
  margin-top: -5px;
  letter-spacing: 0.2em;
  line-height: 1;
}

div.auth-page .welcome-message {
  font-size: 15px;
  font-weight: 700;
  line-height: 0.99;
}

div.auth-page a {
  color: white;
  font-weight: bold;
}

div.auth-page a:hover, div.auth-page a:focus {
  color: #ffffff;
  font-weight: bold !important;
}

/*-----------------SIGN UP------------------*/
div.sign-up-page {
  background-color: rgba(0,0,0,0.7);
  height: auto;
  padding-top: 50px;
  min-height: 100vh;
}
div.sign-up-page .parent-vertical-center {
  display: table;
  width: 66%;
  margin-top: 2%;
  border-radius: 1%;    
  padding: 2% 0;
  background: #000000;
}
div.sign-up-page.popup {
  position: fixed;
  z-index: 1000;
  width: 100%;
  top: 0;
}
div.sign-up-page .require {
  margin-left: 2.3%;
}
div.sign-up-page .right-menu {
  position: fixed;
  top: calc(50% - 222px);
  right: -165px;
  z-index: 1000;
}
div.sign-up-page .title-text {
  font-size: 38px;
  margin-bottom: 30px;
  line-height: 100%;
  font-weight: bold;
}

div.sign-up-page .sub-text {
  font-size: 16px;
  pointer-events: none;
}

div.sign-up-page .block-submit {
  width: 300px;
  display: block;
  margin: 0 auto;
}

div.sign-up-page .error-messages li {
  display: block;
}

div.sign-up-page .success-messages li {
  display: block;
}

/*-----------------FORGOT PASSWORD------------------*/
div.forgot-password-page {
  background-color: #101010;
  min-height: 600px;
}

div.forgot-password-page .title-text {
  font-size: 48px;
  margin-bottom: 30px;
  line-height: 1;
  font-weight: bold;
}

div.forgot-password-page .sub-text {
  font-size: 16px;
}

div.forgot-password-page .block-submit {
  width: 300px;
  display: block;
  margin: 0 auto;
}

div.forgot-password-page .error-messages li {
  display: block;
}

div.forgot-password-page .success-messages li {
  display: block;
}

.parent-vertical-center {
  display: table;
  width: 100%;
}

.child-vertical-center {
  display: table-cell;
  vertical-align: middle;
}

/* fix background input webkit */
input:-webkit-autofill {
  -webkit-box-shadow: 0 0 0px 1000px #000000 inset;
  -webkit-text-fill-color: white !important;
}

.auth-page .sign-in-btn {
  width: 50%;
  background-color: #ff0000;
  color: #FFFFFF;
  text-align: center;
}

.sign-up-page .register-btn {
  width: 50%;
  background-color: #ff0000;
  color: #FFFFFF;
  text-align: center;
}

.sign-up-page .back-to {
  z-index: 9999;
  opacity: 0.5;
  font-weight: bold;
}

.sign-up-page .back-to:hover {
  cursor: pointer;
  opacity: 1;
}

.sign-up-page .back-to:hover i{
  color: #D0021B;
}

.sign-up-page .text-area{
  resize: none;
}

.forgot-password-page .submit-btn {
  width: 50%;
  background-color: #ff0000;
  color: #FFFFFF;
  text-align: center;
}

.forgot-password-page .support-from {
  height: 250px;
  background-color: #ff0000;
}

.forgot-password-page .support-from .sub-text{
  font-size: 14px;
}

.forgot-password-page .support-from .title-text{
  font-size: 36px;
}

.forgot-password-page .support-from .submit-btn {
  width: 50%;
  background-color: #000000;
  color: #FFFFFF;
  text-align: center;
}

div.not-found-page {
  background-color: #101010;
  height: calc(100vh - 40px);
  min-height: 600px;
}


div.not-found-page .title-text {
  font-size: 48px;
  margin-bottom: 30px;
  line-height: 1;
  font-weight: bold;
}

div.not-found-page .sub-text {
  font-size: 16px;
}

div.not-found-page .block-submit {
  width: 300px;
  display: block;
  margin: 0 auto;
}

div.maintenance-page {
  position: relative;
  height: 100vh;
  width: auto;
}

div.maintenance-page img {
  height: 100%;
  width: 100%;
  object-fit: cover;
}

div.maintenance-page .content {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background: #555A5F;
  width: 100%;
  padding: 50px;
  color: #ffffff;
  text-align: center;
}

div.maintenance-page .content .title-text {
  font-size: 36px;
  font-weight: bold;
}